Package org.eclipse.ecf.core

# Class AbstractContainerAdapterFactory

java.lang.Object
org.eclipse.ecf.core.AbstractContainerAdapterFactory

All Implemented Interfaces:
  `org.eclipse.core.runtime.IAdapterFactory`

Direct Known Subclasses:
  `AbstractSharedObjectContainerAdapterFactory`, `MultiProtocolFileSystemBrowserAdapterFactory`, `MultiProtocolOutgoingAdapterFactory`, `MultiProtocolRetrieveAdapterFactory`

public abstract class AbstractContainerAdapterFactory extends Object implements org.eclipse.core.runtime.IAdapterFactory
Abstract container adapter factory. This is an abstract implementation of the `IAdapterFactory` interface. Subclasses may be created as appropriate.

## Field Summary

### Fields inherited from interface org.eclipse.core.runtime.IAdapterFactory

`SERVICE_PROPERTY_ADAPTABLE_CLASS, SERVICE_PROPERTY_ADAPTER_NAMES`

## Constructor Summary

Constructors
Constructor
Description
`AbstractContainerAdapterFactory()`

## Method Summary

Modifier and Type
Method
Description
`<T> T`
`getAdapter(Object adaptableObject, Class<T> adapterType)`
`abstract Class<?>[]`
`getAdapterList()`
`protected abstract Object`
`getContainerAdapter(IContainer container, Class adapterType)`
Method called by implementation of `getAdapter(Object, Class)` if the adaptableObject is an instance of `IContainer`.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### AbstractContainerAdapterFactory

public AbstractContainerAdapterFactory()

## Method Details

### getAdapter

public <T> T getAdapter(Object adaptableObject, Class<T> adapterType)

Specified by:
  `getAdapter` in interface `org.eclipse.core.runtime.IAdapterFactory`

### getContainerAdapter

protected abstract Object getContainerAdapter(IContainer container, Class adapterType)
Method called by implementation of `getAdapter(Object, Class)` if the adaptableObject is an instance of `IContainer`. Subclasses should implement to return the proper container adapter object based upon the given adapterType.

Parameters:
  `container` - the IContainer adaptable object provided to the adapter. Will not be `null`.
  `adapterType` - the type (interface) of the adapter on the given container. Will not be `null`
Returns:
  Object the container adapter instance. May be `null`.

### getAdapterList

public abstract Class<?>[] getAdapterList()

Specified by:
  `getAdapterList` in interface `org.eclipse.core.runtime.IAdapterFactory`